incubator-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe, Jr." <wr...@rowe-clan.net>
Subject Re: Blue Sky Distance Collaboration System_Proposal Draft
Date Thu, 06 Sep 2007 21:46:55 GMT
t.peng.dev wrote:
> Ok, according to prior meeting of our team, we prefer Apache license.

In that case...

> Niclas Hedhman wrote:
>> On Friday 31 August 2007 09:50, t.peng.dev wrote:
>>  
>>> BSDCS depends on API provided by FFMpeg, it use GPL.
>>
>> This is probably a big issue, and you will most likely need to work
>> away from this dependency.

We wouldn't consider incubating BSDC unless the authors intended to either
reimplement FFMpeg or find an alternate implementation that was BSD/AL
licensed.

Hard dependencies to GPL projects still have viral implications.  Hard
dependencies to LGPL projects can sometimes be an issue.

Soft dependencies (e.g. and optional feature that isn't required to have
a useful deployment of BSDC for example) on LGPL is always OK, as well as
some GPL-with-exception licenses such as MySQL's exception clause.  Again,
only as a soft dependency.  Soft dependencies on GPL-without-exception code
can be viral and have to be considered on a case-by-case basis.

Harmony, for example, had such a problem entering the incubator.  By their
commitment to work around the GPL'ed classpath dependencies, they were
given leave to enter incubation and solve the dependency.

About FFmpeg from wikipedia;

  FFmpeg is developed under Linux, but it can be compiled under most operating
  systems, including Microsoft Windows. There are no formal releases. Instead,
  FFmpeg developers recommend using the latest Subversion snapshot as
  development maintains a constantly stable trunk. Released under the GNU Lesser
  General Public License or GNU General Public License (depending on which
  sub-libraries one would include), FFmpeg is free software.

apparently there is a subset (a sufficient subset?) that does fall under LGPL.

How does the BSDCS crew feel about the 'soft target' of not having specific
releases of FFmpeg to target?  As we don't provide LGPL code from our servers
(AFAIK) it might be hard to direct users to a recommended version, no?

Bill


---------------------------------------------------------------------
To unsubscribe, e-mail: general-unsubscribe@incubator.apache.org
For additional commands, e-mail: general-help@incubator.apache.org


Mime
View raw message